# Uses of Class
org.lwjgl.opencl.api.CLImageFormat

Packages that use CLImageFormat
Package
Description
org.lwjgl.opencl

## Uses of CLImageFormat in org.lwjgl.opencl

Methods in org.lwjgl.opencl that return CLImageFormat
Modifier and Type
Method
Description
`CLImageFormat`
CLMem.`getImageFormat()`
Returns the image format.
Methods in org.lwjgl.opencl that return types with arguments of type CLImageFormat
Modifier and Type
Method
Description
`List<CLImageFormat>`
CLContext.`getSupportedImageFormats(long flags, int image_type)`
`List<CLImageFormat>`
CLContext.`getSupportedImageFormats(long flags, int image_type, Filter<CLImageFormat> filter)`
Methods in org.lwjgl.opencl with parameters of type CLImageFormat
Modifier and Type
Method
Description
`static CLMem`
CLMem.`createImage2D(CLContext context, long flags, CLImageFormat image_format, long image_width, long image_height, long image_row_pitch, Buffer host_ptr, IntBuffer errcode_ret)`
Creates a new 2D image object.
`static CLMem`
CLMem.`createImage3D(CLContext context, long flags, CLImageFormat image_format, long image_width, long image_height, long image_depth, long image_row_pitch, long image_slice_pitch, Buffer host_ptr, IntBuffer errcode_ret)`
Creates a new 3D image object.
Method parameters in org.lwjgl.opencl with type arguments of type CLImageFormat
Modifier and Type
Method
Description
`List<CLImageFormat>`
CLContext.`getSupportedImageFormats(long flags, int image_type, Filter<CLImageFormat> filter)`